dpkg-name(1)

NAAM
dpkg-name - hernoem Debian-pakketten naar volledige pakketnamen

OVERZICHT
dpkg-name [optie...] [--] bestand...

BESCHRIJVING
Deze man-pagina documenteert het programma dpkg-name dat voorziet in een eenvoudige manier om Debian-pakketten naar hun volledige pakketnamen te hernoemen. Een volledige pakketnaam bestaat uit pakket_versie_architectuur.pakkettype, zoals opgegeven in het controlebestand van het pakket. Het versie-gedeelte van de bestandsnaam bestaat uit de toeleveraarsversieinformatie (upstream), facultatief gevolgd door een koppelteken en de revisie-informatie. Het deel pakkettype is uit dat veld afkomstig als dat bestaat, anders wordt teruggevallen op deb.

OPTIES

-a, --no-architecture
    De bestandsnaam van de bestemming zal geen architectuuriniformatie bevatten.

-k, --symlink
    Maak een symbolische koppeling aan in plaats van te verplaatsen.

-o, --overwrite
    Bestaande bestanden zullen overschreven worden als ze dezelfde naam hebben als de bestandsnaam van de bestemming.

-s, --subdir [map]
    Bestanden zullen naar een onderliggende map verplaatst worden. Indien de als argument opgegeven map bestaat, zullen de bestanden naar die map verplaatst worden, anders wordt de naam van de doelmap geëxtraheerd uit het sectieveld uit het controlegedeelte van het pakket. De doelmap zal «unstable/binary-architectuur/sectie» zijn. Indien de sectie niet gevonden wordt in het controlebestand, dan wordt uitgegaan van no-section. In dat geval en ook voor de secties non-free en contrib is de doelmap «sectie/binary-architectuur». Het veld sectie is niet verplicht, zodat veel pakketten terechtkomen in het gebied no-section.

    Waarschuwing: Gebruik deze optie met zorg, ze werkt rommelig.

-c, --create-dir
    Deze optie kan samen met de optie -s gebruikt worden. Als een doelmap niet aangetroffen wordt, zal ze automatisch aangemaakt worden.

    Waarschuwing: Gebruik deze optie met zorg.

-?, --help
    Info tonen over het gebruik en afsluiten.

-v, --version
    De versie tonen en afsluiten.

OMGEVING

DEB_HOST_ARCH
    Stelt de computerarchitectuur in. Dit heeft invloed op de architectuurnaam die wordt gebruikt in de bestandsnaam van het pakket.

DPKG_COLORS
    Stelt de kleurmodus in (sinds dpkg 1.18.5). Waarden die momenteel gebruikt mogen worden zijn: auto (standaard), always en never.

DPKG_NLS
    Indien dit ingesteld is, zal het gebruikt worden om te beslissen over het activeren van moedertaalondersteuning, ook gekend als internationaliseringsondersteuning (of i18n) (sinds dpkg 1.19.0). Geldige waarden zijn: 0 and 1 (standaard).

BUGS
Bepaalde pakketten volgen de naamstructuur pakket_versie_architectuur.deb niet. Pakketten die door dpkg-name hernoemd worden, volgen deze structuur. Over het algemeen heeft dit geen invloed op de manier waarop pakketten door dselect(1)/dpkg(1) geïnstalleerd worden, maar ander installatiegereedschap kan eventueel steunen op die naamgevingsstructuur.

VOORBEELDEN

dpkg-name bar-foo.deb
    Het bestand bar-foo.deb zal hernoemd worden naar bar-foo_1.0-2_i386.deb of iets gelijkaardigs (afhankelijk van welke informatie er staat in het controlegedeelte van bar-foo.deb).

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -a
    Alle bestanden met de extensie deb in de map /root/debian en de onderliggende mappen zullen indien nodig hernoemd worden door dpkg-name naar namen zonder architectuurinformatie.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    Doe dit niet. Uw archief zal volledig overhoop gehaald worden, omdat veel pakketten geen sectie-informatie hebben. Doe dit niet.

dpkg-deb --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    Dit kan gebruikt worden bij het bouwen van nieuwe pakketten.

ZIE OOK
deb(5), deb-control(5), dpkg(1), dpkg-deb(1), find(1), xargs(1).